commit:     3cdd55f461f86b922645a387bc4f0d3faa610bd8
Author:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Thu Nov  1 23:09:39 2018 +0000
Commit:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Thu Nov  1 23:12:18 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3cdd55f4

dev-python/pytest-datafiles: new package

pytest plugin to create a tmpdir containing
a preconfigured set of files and/or directories

Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>
Package-Manager: Portage-2.3.49, Repoman-2.3.11

 dev-python/pytest-datafiles/Manifest               |  1 +
 dev-python/pytest-datafiles/metadata.xml           | 12 +++++++++
 .../pytest-datafiles/pytest-datafiles-2.0.ebuild   | 29 ++++++++++++++++++++++
 3 files changed, 42 insertions(+)

diff --git a/dev-python/pytest-datafiles/Manifest 
b/dev-python/pytest-datafiles/Manifest
new file mode 100644
index 00000000000..c8ef6ddde2c
--- /dev/null
+++ b/dev-python/pytest-datafiles/Manifest
@@ -0,0 +1 @@
+DIST pytest-datafiles-2.0.tar.gz 66507 BLAKE2B 
7cd2721ae2e447798afe54f858d697321a1bf88f3c307df14186bc71b7a60bdc9fcb2e99a858186ad058c4663eae8b121a5ffa3427e2ab4f76f4b471dcc36234
 SHA512 
05bb93e973cde8b6030ff4d82f295bdb54a8d0bcec87f0347347baed80c26851a4ea6980621f43d73b7fb843740d58b32aca37de9607117b664ede8928aaa5b6

diff --git a/dev-python/pytest-datafiles/metadata.xml 
b/dev-python/pytest-datafiles/metadata.xml
new file mode 100644
index 00000000000..d72f80cdae9
--- /dev/null
+++ b/dev-python/pytest-datafiles/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Georgy Yakovlev</name>
+       </maintainer>
+       <upstream>
+               <remote-id type="pypi">pytest-datafiles</remote-id>
+               <remote-id type="github">omarkohl/pytest-datafiles</remote-id>
+       </upstream>
+</pkgmetadata>

diff --git a/dev-python/pytest-datafiles/pytest-datafiles-2.0.ebuild 
b/dev-python/pytest-datafiles/pytest-datafiles-2.0.ebuild
new file mode 100644
index 00000000000..137aabf6e39
--- /dev/null
+++ b/dev-python/pytest-datafiles/pytest-datafiles-2.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 2018 Sony Interactive Entertainment Inc.
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="pytest plugin to create a tmpdir containing a preconfigured set 
of files/dirs"
+HOMEPAGE="https://github.com/omarkohl/pytest-datafiles";
+SRC_URI="https://github.com/omarkohl/${PN}/archive/${PV}/${P}.tar.gz";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+RDEPEND="dev-python/py[${PYTHON_USEDEP}]
+       >=dev-python/pytest-3.6.0[${PYTHON_USEDEP}]"
+
+DEPEND="${RDEPEND}"
+
+python_test() {
+       distutils_install_for_testing
+       PYTHONPATH="${TEST_DIR}"/lib pytest -v || die "Tests fail with 
${EPYTHON}"
+}

Reply via email to